### Enumeration

# Atspi CollectionMatchType

#### Declaration

    enum Atspi.CollectionMatchType

#### Description [src]

Enumeration used by `AtspiMatchRule` to specify how to interpret `AtspiAccessible` objects.

#### Members

`ATSPI_Collection_MATCH_INVALID`

  Indicates an error condition or uninitialized value.

  - Value: `0`
  - Available since: 2.0
`ATSPI_Collection_MATCH_ALL`

  `TRUE` if all of the criteria are met.

  - Value: `1`
  - Available since: 2.0
`ATSPI_Collection_MATCH_ANY`

  `TRUE` if any of the criteria are met.

  - Value: `2`
  - Available since: 2.0
`ATSPI_Collection_MATCH_NONE`

  `TRUE` if none of the criteria are met.

  - Value: `3`
  - Available since: 2.0
`ATSPI_Collection_MATCH_EMPTY`

  Same as `ATSPI_Collection_MATCH_ALL` if the criteria is non-empty; for empty criteria this rule requires returned value to also have empty set.

  - Value: `4`
  - Available since: 2.0
`ATSPI_Collection_MATCH_LAST_DEFINED`

  Used only to determine the end of the enumeration.

  - Value: `5`
  - Available since: 2.0